<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Rooms extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'id_prop_typ',
        'kode_kamar',
        'id_user',
        'status',
        'lantai',
    ];
    public function propertyType()
    {
        return $this->belongsTo(PropertyXTypes::class, 'id_prop_typ');
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'id_user');
    }

    
    // public function property()
    // {
    //     return $this->belongsTo(Property::class, 'id_prop_typ');
    // }
}
